com.singularsys.jepexamples.consoles

## Enum Console.SPEC_ACTION

- java.lang.Object
- - java.lang.Enum<Console.SPEC_ACTION>
  - - com.singularsys.jepexamples.consoles.Console.SPEC_ACTION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Console.SPEC_ACTION>
  Enclosing class:
    Console

      public static enum Console.SPEC_ACTION
      extends java.lang.Enum<Console.SPEC_ACTION>

  Values returned by @link{testSpecialCommands(String command)}.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTERED` The command has been altered.
    `BREAK` Stop processing.
    `CONTINUE` Continue processing.
    `EMPTY` Stop processing.
    `EXIT` Quit the program.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Console.SPEC_ACTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Console.SPEC_ACTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final Console.SPEC_ACTION CONTINUE

      Continue processing. Add command to history.

    - #### BREAK

          public static final Console.SPEC_ACTION BREAK

      Stop processing. Add command to history.

    - #### EXIT

          public static final Console.SPEC_ACTION EXIT

      Quit the program.

    - #### EMPTY

          public static final Console.SPEC_ACTION EMPTY

      Stop processing. Does not add the command to the history

    - #### ALTERED

          public static final Console.SPEC_ACTION ALTERED

      The command has been altered. The altered command is set using @link{setAlteredCommand(String)}

  - ### Method Detail

    - #### values

          public static Console.SPEC_ACTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Console.SPEC_ACTION c : Console.SPEC_ACTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Console.SPEC_ACTION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep